RHEL 4 / 5:wireshark(RHSA-2011: 0370)

high Nessus プラグイン ID 52750

概要

リモートのRed Hatホストに1つ以上のセキュリティ更新プログラムがありません。

説明

複数のセキュリティの問題を修正する更新済みの wireshark パッケージが、 Red Hat Enterprise Linux 4 と 5 で現在利用可能です。

Red Hatセキュリティレスポンスチームは、この更新がセキュリティに及ぼす影響を重要度中として評価しています。詳細な重要度の評価を提供するCommon Vulnerability Scoring System(CVSS)のベーススコアは、「参照」セクションのCVEリンクから脆弱性ごとに確認できます。

Wireshark はネットワークトラフィックをモニターするプログラムです。Wireshark は以前、Ethereal として知られていました。

ヒープベースのバッファオーバーフローの欠陥が Wireshark に見つかりました。Wiresharkが特別に細工されたキャプチャファイルを開くと、ユーザーがWiresharkを実行中に、クラッシュするまたは任意のコードを実行する可能性があります。(CVE-2011-0024)

Wireshark にいくつかのサービス拒否の欠陥が見つかりました。Wiresharkがネットワークから不正な形式のパケットを読み込んだり、悪意のあるダンプファイルを開いたりすると、Wiresharkがクラッシュしたり応答を停止する可能性があります。(CVE-2010-3445、CVE-2011-0538、CVE-2011-1139、CVE-2011-1140、CVE-2011-1141、CVE-2011-1143)

Wireshark のユーザーは、バックポートされたパッチが含まれるこれらの更新済みパッケージへアップグレードし、これらの問題を修正する必要があります。この更新を有効にするには、 Wireshark の実行中のインスタンスすべてを、再起動する必要があります。

ソリューション

影響を受ける wireshark および/または wireshark-gnome パッケージを更新してください。

関連情報

https://access.redhat.com/security/cve/cve-2010-3445

https://access.redhat.com/security/cve/cve-2011-0024

https://access.redhat.com/security/cve/cve-2011-0538

https://access.redhat.com/security/cve/cve-2011-1139

https://access.redhat.com/security/cve/cve-2011-1140

https://access.redhat.com/security/cve/cve-2011-1141

https://access.redhat.com/security/cve/cve-2011-1143

https://access.redhat.com/errata/RHSA-2011:0370

プラグインの詳細

深刻度: High

ID: 52750

ファイル名: redhat-RHSA-2011-0370.nasl

バージョン: 1.22

タイプ: local

エージェント: unix

公開日: 2011/3/22

更新日: 2021/1/14

サポートされているセンサー: Frictionless Assessment Agent, Frictionless Assessment AWS, Frictionless Assessment Azure, Nessus Agent

リスク情報

VPR

リスクファクター: Medium

スコア: 6.7

CVSS v2

リスクファクター: High

Base Score: 9.3

Temporal Score: 7.3

ベクトル: AV:N/AC:M/Au:N/C:C/I:C/A:C

現状ベクトル: E:POC/RL:OF/RC:C

脆弱性情報

CPE: p-cpe:/a:redhat:enterprise_linux:wireshark, p-cpe:/a:redhat:enterprise_linux:wireshark-gnome, cpe:/o:redhat:enterprise_linux:4, cpe:/o:redhat:enterprise_linux:4.8, cpe:/o:redhat:enterprise_linux:5, cpe:/o:redhat:enterprise_linux:5.6

必要な KB アイテム: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/cpu

エクスプロイトが利用可能: true

エクスプロイトの容易さ: Exploits are available

パッチ公開日: 2011/3/21

脆弱性公開日: 2010/11/26

参照情報

CVE: CVE-2010-3445, CVE-2011-0024, CVE-2011-0538, CVE-2011-0713, CVE-2011-1138, CVE-2011-1139, CVE-2011-1140, CVE-2011-1141, CVE-2011-1142, CVE-2011-1143

BID: 43197, 46167, 46626, 46796

RHSA: 2011:0370